Name:          hawtdb
Version:       1.6
Release:       8%{?dist}
Summary:       A Powerful Key/Value Store
# CDDL: hawtdb/src/main/java/org/fusesource/hawtdb/api/Callback.java
License:       ASL 2.0 and CDDL
URL:           http://hawtdb.fusesource.org/
Source0:       https://github.com/fusesource/hawtdb/archive/%{name}-project-%{version}.tar.gz

BuildRequires: fusesource-pom
BuildRequires: apache-commons-logging
BuildRequires: hawtbuf
# test deps
BuildRequires: junit
BuildRequires: log4j12

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
HawtDB is an embedded MVCC Key/Value Database.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}

# remove unavailable org.fusesource.mvnplugins:fuse-javadoc-skin
%pom_xpath_remove "pom:project/pom:build/pom:extensions"
# remove unavailable org.apache.maven.wagon:wagon-webdav-jackrabbit
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-site-plugin']/pom:dependencies"

# unavailable deps
%pom_disable_module %{name}-website

# Unwanted javadoc jar
%pom_remove_plugin :maven-javadoc-plugin %{name}

# These tests fails
# org.fusesource.hawtdb.api.IOPagingException: Invalid extent read request.  The requested page was not an extent: 2
# org.junit.ComparisonFailure: expected:<[Change 1]> but was:<[page:2]>
# org.fusesource.hawtdb.api.IndexException: Page did not contain the expected btree headers
# 
rm -r hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/BTreeIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/DeferredBTreeIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/DeferredHashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/FixedCapacityHashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/HashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/page/TxPageFileTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/io/MemoryMappedFileTest.java

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc changelog.md readme.md
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 20 2015 gil cattaneo <puntogil@libero.it> 1.6-6
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 1.6-2
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Jun 04 2013 gil cattaneo <puntogil@libero.it> 1.6-1
- initial rpm
